Index: /trunk/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncTop.cpp	(revision 209)
+++ /trunk/source/Lib/TLibEncoder/TEncTop.cpp	(revision 210)
@@ -375,6 +375,9 @@
   
   // initialize encoder search class
+#if DV_V_RESTRICTION_B0037
+  m_cSearch.init( this, &m_cTrQuant, m_iSearchRange, m_bipredSearchRange, m_bUseDisparitySearchRangeRestriction, m_iVerticalDisparitySearchRange, m_iFastSearch, 0, &m_cEntropyCoder, &m_cRdCost, getRDSbacCoder(), getRDGoOnSbacCoder() );
+#else
   m_cSearch.init( this, &m_cTrQuant, m_iSearchRange, m_bipredSearchRange, m_iFastSearch, 0, &m_cEntropyCoder, &m_cRdCost, getRDSbacCoder(), getRDGoOnSbacCoder() );
-
+#endif
   if(m_bUseALF)
   {
@@ -766,4 +769,9 @@
   m_cSPS.setUseDMM( m_bUseDMM );
 #endif
+
+#if HHI_DMM_PRED_TEX && FLEX_CODING_ORDER_M23723
+  m_cSPS.setUseDMM34( m_bUseDMM34 );
+#endif
+
 #if OL_QTLIMIT_PREDCODING_B0068
   m_cSPS.setUseQTLPC( m_bUseQTLPC );
@@ -785,5 +793,9 @@
   else
   {
+#if QC_MVHEVC_B0046
+    m_cSPS.initMultiviewSPS   ( m_viewId);
+#else
     m_cSPS.initMultiviewSPS           ( m_viewId, m_iViewOrderIdx, m_uiCamParPrecision, m_bCamParInSliceHeader, m_aaiCodedScale, m_aaiCodedOffset );
+#endif
     if( m_viewId )
     {
@@ -993,5 +1005,9 @@
 Void TEncTop::selectReferencePictureSet(TComSlice* slice, Int POCCurr, Int GOPid,TComList<TComPic*>& listPic )
 {
+#if QC_REM_IDV_B0046
+  if( (slice->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR ||slice->getNalUnitType() == NAL_UNIT_CODED_SLICE_CRA) && slice->getSPS()->getViewId() && POCCurr == 0 )
+#else
   if( slice->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDV && POCCurr == 0 )
+#endif
   {
     TComReferencePictureSet* rps = slice->getLocalRPS();
Index: /trunk/source/Lib/TLibExtractor/TExtrTop.cpp
===================================================================
--- /trunk/source/Lib/TLibExtractor/TExtrTop.cpp	(revision 209)
+++ /trunk/source/Lib/TLibExtractor/TExtrTop.cpp	(revision 210)
@@ -55,5 +55,5 @@
 Bool TExtrTop::extract( InputNALUnit& nalu, std::set<UInt>& rsuiExtractLayerIds )
 {
-#if VIDYO_VPS_INTEGRATION
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   //extraction now has to be done using layer_id
   UInt uiLayerId = nalu.m_layerId;
@@ -65,5 +65,5 @@
   m_cEntropyDecoder.setBitstream     ( nalu.m_Bitstream );
   
-#if VIDYO_VPS_INTEGRATION
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   if ( nalu.m_nalUnitType == NAL_UNIT_VPS )
   {
Index: /trunk/source/Lib/TLibExtractor/TExtrTop.h
===================================================================
--- /trunk/source/Lib/TLibExtractor/TExtrTop.h	(revision 209)
+++ /trunk/source/Lib/TLibExtractor/TExtrTop.h	(revision 210)
@@ -54,5 +54,5 @@
 {
 private:
-#if VIDYO_VPS_INTEGRATION
+#if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   TComVPS                 m_cVPS;
 #endif
Index: /trunk/source/Lib/TLibRenderer/TRenModSetupStrParser.cpp
===================================================================
--- /trunk/source/Lib/TLibRenderer/TRenModSetupStrParser.cpp	(revision 209)
+++ /trunk/source/Lib/TLibRenderer/TRenModSetupStrParser.cpp	(revision 210)
@@ -36,5 +36,5 @@
 #include "TRenFilter.h"
 #include "TRenModSetupStrParser.h"
-
+#if !QC_MVHEVC_B0046
 Int
 TRenModSetupStrParser::getNumOfModels()
@@ -450,2 +450,4 @@
   rcNextChar = m_pchSetStr[iPos];
 }
+#endif
+
Index: /trunk/source/Lib/TLibRenderer/TRenModSetupStrParser.h
===================================================================
--- /trunk/source/Lib/TLibRenderer/TRenModSetupStrParser.h	(revision 209)
+++ /trunk/source/Lib/TLibRenderer/TRenModSetupStrParser.h	(revision 210)
@@ -31,5 +31,5 @@
  * THE POSSIBILITY OF SUCH DAMAGE.
  */
-
+#if !QC_MVHEVC_B0046
 #ifndef __TRENMODSETUPSTRPARSER__
 #define __TRENMODSETUPSTRPARSER__
@@ -127,2 +127,4 @@
 
 #endif //__TRENMODEL__
+#endif
+
Index: /trunk/source/Lib/TLibRenderer/TRenModel.cpp
===================================================================
--- /trunk/source/Lib/TLibRenderer/TRenModel.cpp	(revision 209)
+++ /trunk/source/Lib/TLibRenderer/TRenModel.cpp	(revision 210)
@@ -35,5 +35,5 @@
 #include "TRenFilter.h"
 #include "TRenModel.h"
-
+#if !QC_MVHEVC_B0046
 ///////////  TRENMODEL //////////////////////
 TRenModel::TRenModel()
@@ -697,2 +697,4 @@
   }
 }
+#endif
+
Index: /trunk/source/Lib/TLibRenderer/TRenModel.h
===================================================================
--- /trunk/source/Lib/TLibRenderer/TRenModel.h	(revision 209)
+++ /trunk/source/Lib/TLibRenderer/TRenModel.h	(revision 210)
@@ -32,5 +32,5 @@
  */
 
-
+#if !QC_MVHEVC_B0046
 #ifndef __TRENMODEL__
 #define __TRENMODEL__
@@ -156,2 +156,4 @@
 
 #endif //__TRENMODEL__
+#endif
+
Index: /trunk/source/Lib/TLibRenderer/TRenSingleModel.cpp
===================================================================
--- /trunk/source/Lib/TLibRenderer/TRenSingleModel.cpp	(revision 209)
+++ /trunk/source/Lib/TLibRenderer/TRenSingleModel.cpp	(revision 210)
@@ -36,4 +36,5 @@
 #include "TRenSingleModel.h"
 
+#if !QC_MVHEVC_B0046
 ////////////// TRENSINGLE MODEL ///////////////
 template <BlenMod iBM, Bool bBitInc>
@@ -1956,2 +1957,4 @@
 }
 #endif
+#endif
+
Index: /trunk/source/Lib/TLibRenderer/TRenSingleModel.h
===================================================================
--- /trunk/source/Lib/TLibRenderer/TRenSingleModel.h	(revision 209)
+++ /trunk/source/Lib/TLibRenderer/TRenSingleModel.h	(revision 210)
@@ -32,6 +32,6 @@
  */
 
-
-#ifndef __TRENSINGLEMODEL__
+#if !QC_MVHEVC_B0046
+#ifndef __TRENSINGLEMODEL__ 
 #define __TRENSINGLEMODEL__
 
@@ -391,2 +391,4 @@
 
 #endif //__TRENSINGLEMODEL__
+#endif
+
